This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 244935 - duplicate "Default Printer"
duplicate "Default Printer"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-19 18:42 EDT by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 09:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2007-06-19 18:42:07 EDT
desktop-printing ships a "Default Printer" desktop file that runs 
   gnome-default-printer
system-config-printer ships a "Default Printer" desktop file that runs
   my-default-printer

One must go.

Here are some things to keep from the desktop-printing copy:
 - the categories in the desktop file are better, HardwareSettings, not just
   Settings
 - the name my-default-printer for the binary strikes me as poorly chosen
Comment 1 Tim Waugh 2007-06-25 11:13:13 EDT
Ah, you noticed this. ;-)

I've added HardwareSettings category in CVS, and the next version will have that.

The name 'my-default-printer' was chosen to show that this application sets the
user's own default printer, not the system's default (which is set using
system-config-printer).
Comment 2 Tim Waugh 2007-06-28 10:48:08 EDT
Desktop file fixed in system-config-printer-0.7.69-1.fc8.

Only thing left is to remove desktop-printing.
Comment 3 Tim Waugh 2007-08-06 09:00:34 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.